define([], function() {
	var action = {
		constant : {
			tradeacco : null,
			fundcode : $.hsf.hsTools.getParam("fundcode"),
			fundname : $.hsf.hsTools.getParam("fundname"),
			sharetype : $.hsf.hsTools.getParam("sharetype"),
			datasource : $.hsf.hsTools.getParam("datasource"),
			buybusin : $.hsf.hsTools.getParam("buybusin"),
			melonmethod:null,
			// 2019/02/25  客户现场要求屏蔽分红按钮
			hidden:true,
		},
		init: function() {

			$.hsf.startLoading();
			//var data="fundcode="+action.constant.fundcode+"&datasource="+action.constant.datasource+"&tradeacco="+action.constant.tradeacco;
			var data="fundcode="+action.constant.fundcode;
			$.hsf.ajax.app("query/share/csCompositeShareDetail", data, "shareDetailCallback", function(jsonResult) {
				if (jsonResult.successful) {
					jsonResult.fundcode=action.constant.fundcode;
					jsonResult.fundname=action.constant.fundname;
					//share.datasource = action.constant.datasource;
					//获取直销交易账号
					for(var i=0;i<jsonResult.shareList.length;i++){
						if(jsonResult.shareList[i].agencytype=="0"){
							action.constant.tradeacco = jsonResult.shareList[i].tradeacco;
							break;
						}
					}
					$.doTemplate("titleArea", jsonResult);
					$.doTemplate("fundArea", jsonResult.shareList);
					$(".trade_group").show();
					if(action.constant.hidden){
						$(".bonus").hide();
					}else{
						$(".bonus").show();
					}
					$(".m-protocl").show();
					if(jsonResult.melonmethod&&jsonResult.melonmethod!=""){
						action.constant.melonmethod=jsonResult.melonmethod;
						if(jsonResult.melonmethod="红利再投资"){//0
							$("#UIRadioBonus").attr("m-checked","yes");
						}else if(jsonResult.melonmethod="现金红利"){//1
							$("#UIRadioCash").attr("m-checked","yes");
						}
					}

					if(action.constant.buybusin!="020"&&action.constant.buybusin!="022"){
						$("#tradebuy").parent().hide();
					}
					$("#tradebuy").attr("m-href","trade-buy.html?fundcode="+action.constant.fundcode+"&buybusin="+action.constant.buybusin);
		 			$("#tradesale").attr("m-href","trade-sale.html?fundcode="+action.constant.fundcode);
					$("#tradetrans").attr("m-href","trade-trans.html?fundcode="+action.constant.fundcode);

					//$("#detailBtn").attr("m-href", "fund-detail.html?fundcode="+share.fundcode);
					//$.doTemplate("fundArea", share);
					//$.doTemplate("titleArea", share);
					var shareInfo = {share:action.constant.tradeacco,riskability:jsonResult.riskability};
					action.getRiskMatchInfo(shareInfo);
					$("[m-role='UITableView']").UITableView();
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
			this.events();
		},
		getRiskMatchInfo:function(jsonResult){
			var minriskflag = jsonResult.minriskflag;
			var fundrisklevel = jsonResult.fundrisklevel;
			if(minriskflag && fundrisklevel){
				if(minriskflag == "1" && fundrisklevel>$.hsf.theLowestRiskLevel){
					$("#tradebuy")
						.attr("m-state","disabled")
						.attr("m-href","")
						.off("tap").on("tap",function(){
						$.UIAlert("您的风险等级过低，不允许购买该产品！");
						return false;
					});
				}
			}
		},
		events:function(){
			//分红方式 单选框 切换
			$("#UIRadioBonus,#UIRadioCash").UIRadio("change",function () {
				var melonmethod = $(this).attr("m-value") == "D"?'1':'0';
				if(action.constant.tradeacco){
					$.UIAlert({html:"在银行、第三方代销渠道购买部分请登录代销渠道修改",buttonText:"我知道了"},function () {
						var form = $.formGenerate();
						form.add("tradeacco", action.constant.tradeacco).add("fundcode", action.constant.fundcode).add("sharetype", action.constant.sharetype).add("melonmethod", melonmethod);
						$.hsf.startLoading();
						$.hsf.ajax.app("trade/bonus/modifyBonus", form.generate(), "modifyBonusCallback", function(jsonResult) {
							if (jsonResult.successful) {
								if(melonmethod=="1"){
									action.constant.melonmethod="现金红利"
									$("#UIRadioCash").attr("m-checked","yes");
								}else{
									action.constant.melonmethod="红利再投资"
									$("#UIRadioBonus").attr("m-checked","yes");
								}
								//$.UIPopup("修改分红下单成功");
								$.hsf.stopLoading();

							} else {
								$("#UIRadioBonus").attr("m-checked",melonmethod=="1"?"yes":"");
								$("#UIRadioCash").attr("m-checked",melonmethod=="0"?"yes":"");
								$.hsf.callFailProcess(jsonResult);
							}
						});
					});
				}else{
					//全是代销资产
					$.UIAlert({html:"不含有直销资产，请登录代销渠道修改",buttonText:"我知道了"},function () {
						$("#UIRadioBonus").attr("m-checked",melonmethod=="1"?"yes":"");
						$("#UIRadioCash").attr("m-checked",melonmethod=="0"?"yes":"");
					});
				}
				return false;
			});
		}
	};
	return action;
});
