define([$.hsf.platform()], function(platform){
	var openAccoForm = openAccoForm();
	var platformApi = $.hsf.getModuleAPI(platform, "account-openAcco-tl-validate");
	window.action = {
		choiceTag:"0",
		_private:{
			proviceAndCities:[], // 一级省
			cities:[],// 地级市
			contries:[],// 区县
			provincecode:"",//省份代码
			communicationaddr:""//地址
		},
		constant : {
			capital: null,
			accoreqserial : "",// 验证码编号
			otherserial : "",
			counter:0,
			capitalmode:"",//M为通联  3为银联
			repeatSeconds: 60,
			//银联参数移交
			oppenaccoTag : $.hsf.hsTools.getParam("oppenaccoTag"),
			applyserial : $.hsf.hsTools.getParam("merOrdId"),
			telephone :  $.hsf.hsTools.getParam("mobile"),
			loginphone : "",
			merorderid : null,
			mData:null,
			beneficiaryname:"",
			holdingname:"",
			record:""//不良记录
		},
		ocr:{
			listFlag:false,
			$nextBtn: $("#upload-cert-img"),
			$getCertFrontImg: $("#get-cert-front-img"),
			$getCertBackImg: $("#get-cert-back-img"),
			certFrontImg: '../images/ocr/box.png',
			certBackImg: '../images/ocr/box2.png',
			certInfo: {
				certType: "0",
				certTypeName: "身份证"
			},
			certUploadState: {
				A: false,
				B: false
			}
		},
		ocrConfirm:{
			$certFrontImg: $("#cert-front-img"),
			$certBackImg: $("#cert-back-img"),
			certFrontImg: '',
			certBackImg: '',
			certInfo: {},
			$nextBtn: $("#ocr-confirm-next"),
			$certName: $("#ocr-cert-name"),
			$trueInfoCheck: $("#trueInfoCheck")
		},
		originalInitForm: function() {
			if ($.hsf.hsTools.getParam('back') == 0)
				$('#BackBtn').hide();
			if ($.hsf.hsTools.getParam('data') != null && $.hsf.hsTools.getParam('data') != '') {
				var dataStr = decodeURIComponent($.hsf.hsTools.getParam('data').replace(new RegExp('\\$', 'gm'), '&').replace(new RegExp('\\^', 'gm'), '=')) + '&merOrdId=' + $.hsf.hsTools.getParam('merOrdId');
				var data = new $.hsf.hsTools.parseUrlToObj(dataStr);
				if (data) {
					action.constant.data = data;
					action.setPwdNext();
				}
			} else if ($.hsf.hsTools.getParam('merOrdId') != null && $.hsf.hsTools.getParam('merOrdId') != '' && $.hsf.hsTools.getParam('data') == null) {
				$.UIAlert('开户失信息认证失败！');
				return false;
			} else {
				action.addChinapaySuccListener();
				action.packForm();
				action.events();
			}
		},
		init: function() {
			if($.hsf.antiMoneyLaunder){
				$("#bind-bankcard-cert-ocr").show();
				$("#bind-bankcard-cert-ocr-confirm").hide();
				$("#first").hide();
				action.ocrEvents();
			}else{
				$("#bind-bankcard-cert-ocr").hide();
				$("#bind-bankcard-cert-ocr-confirm").hide();
				$("#first").show();
				$("#third").hide();
				action.ocrEvents();
				action.originalInitForm();
			}
		},

		ocrEvents:function(){
			var that = this;
			window.idcard = "obverse";
			if($.hsf.matchNative()) {
				$("#file1").hide();
				$("#file2").hide();
				window.idcardCallback = function(res) {
					platformApi.getCache("ocrImage", function(res2) {
						if(idcard == "obverse") {
							if(res.num) {
								that.ocr.certFrontImg = res2;
								that.ORCIdCard(res2, "1");
							} else {
								$.UIPopup("请拍摄身份证的人像面！");
							}
						} else {
							if(res.period) {
								that.ocr.certBackImg = res2;
								that.ORCIdCard(res2, "2");
							} else {
								$.UIPopup("请拍摄身份证的国徽面！");
							}
						}
					});
				}
			}
			//下一步按钮
			this.ocr.$nextBtn.on("tap", function() {
				var idenddateTime = new Date($.hsf.hsTools.yyyy_mm_dd(that.ocr.certInfo.idenddate)).getTime();
				var nowTime = new Date().getTime();
				if(that.ocr.certUploadState.A == false) {
					$.UIAlert("请上传身份证人像面照片");
				} else if(that.ocr.certUploadState.B == false) {
					$.UIAlert("请上传身份证国徽面照片");
				} else if(nowTime > idenddateTime) {
					$.UIAlert("请上传未过期的身份证照片");
				} else if(!$.hsf.hsTools.jugdeIdenddate(that.ocr.certInfo.birthday,that.ocr.certInfo.startDate,that.ocr.certInfo.idenddate)) {
					$.UIAlert("您的出生日期或者证件有效期限识别有误请重新上传");
				} else {
					that.ocrConfirm.certFrontImg = that.ocr.certFrontImg;
					that.ocrConfirm.certBackImg = that.ocr.certBackImg;
					that.ocrConfirm.certInfo = that.ocr.certInfo;
					// ocr 确认页面
					$("#bind-bankcard-cert-ocr-confirm").show();
					$("#bind-bankcard-cert-ocr").hide();
					// 确认页面的信息
					action.initOcrConfirmForm();
					action.ocrConfirmEvents();
				}
			});
			//打开用户服务协议
			$("#open-user-agreement").bind("tap",function() {
				$("#third").hide();
				$("#user-agreement").show();
				return false;
			});
			//关闭用户服务协议
			$("#close-user-agreement").bind("tap",function() {
				$("#third").show();
				$("#user-agreement").hide();
				return false;
			});
			//打开隐私政策
			$("#open-privacy-policy").bind("tap",function() {
				$("#third").hide();
				$("#privacy-policy").show();
				return false;
			});
			//关闭隐私政策
			$("#close-privacy-policy").bind("tap",function() {
				$("#third").show();
				$("#privacy-policy").hide();
				return false;
			});

			// // 其他类型证件
			// $("#otherType").bind("tap",function() {
			// 	// action.ocr.listFlag = true;
			// 	$("#first").show();
			// 	$("#bind-bankcard-cert-ocr").hide();
			// 	action.originalInitForm();
			// });
			$("#BackBtn.ocrScan").bind("tap",function() {
				$.hsf.hsBack();
				return false;
			});
			$("#BackBtn.ocrConfirm").bind("tap",function() {
				$("#bind-bankcard-cert-ocr-confirm").hide();
				$("#bind-bankcard-cert-ocr").show();
				return false
			});
			$("#BackBtn").bind("tap",function() {
				platformApi.hsBack();
				return false
			});
			platformApi.getNativeImg(function(imgSrc) {
				idcard = "obverse";
				var certFrontImg = imgSrc.indexOf("data:") >= 0 ? imgSrc : "data:image/jpg;base64," + imgSrc;
				that.ocr.certFrontImg = certFrontImg;
				that.ORCIdCard(certFrontImg, "1");
			},'file1',this.ocr.$getCertFrontImg,"obverse");
			platformApi.getNativeImg(function(imgSrc) {
				idcard = "back";
				var certBackImg = imgSrc.indexOf("data:") >= 0 ? imgSrc : "data:image/jpg;base64," + imgSrc;
				that.ocr.certBackImg = certBackImg;
				that.ORCIdCard(certBackImg, "2");
			},'file2',this.ocr.$getCertBackImg,"back");
		},
		initOcrConfirmForm:function(){
			var that=this;
			that.ocrConfirm.certFrontImg = that.ocr.certFrontImg;
			that.ocrConfirm.certBackImg = that.ocr.certBackImg;
			that.ocrConfirm.certInfo = that.ocr.certInfo;
			that.ocrConfirm.$certFrontImg.attr("src",that.ocr.certFrontImg);
			that.ocrConfirm.$certBackImg.attr("src", that.ocr.certBackImg);
			that.ocrConfirm.$certName.UITextField("value", this.ocrConfirm.certInfo.name);
			$("#ocr-cert-address").text(that.ocrConfirm.certInfo.address);
			$("#ocr-cert-no").text(that.ocrConfirm.certInfo.certNo);
			$("#ocr-cert-gender").text(that.ocrConfirm.certInfo.clientgenderText);
			$("#ocr-cert-birthday").text($.hsf.hsTools.yyyy_mm_dd(that.ocrConfirm.certInfo.birthday));
			$("#ocr-cert-idenddate").text(that.ocrConfirm.certInfo.idenddate == "99991231" ? "长期有效" : $.hsf.hsTools.yyyy_mm_dd(that.ocrConfirm.certInfo.idenddate));
		},
		// ocr 确认页面的点击事件
		ocrConfirmEvents: function () {
			var that = this;
			that.ocrConfirm.$nextBtn.unbind().bind("tap", function () {
				//  name 和 check
				var name = $('#ocr-cert-name').UITextField('value').trim() || '';
				var check = $('#trueInfoCheck').attr('m-checked');
				if (name == '') {
					$.UIAlert('请填写姓名');
					return false;
				}
				if (check != 'yes') {
					$.UIAlert('请核对信息并勾选确认');
					return false;
				}
				if (that.ocrConfirm.$nextBtn.attr("m-state") == 'disabled') {
					return false;
				}
				that.identitytype = that.ocrConfirm.certInfo.certType;
				that.identityno = that.ocrConfirm.certInfo.certNo;
				that.customername = that.ocrConfirm.certInfo.name;
				// 跳转开户页
				$("#bind-bankcard-cert-ocr-confirm").hide();
				$("#first").show();
				// 渲染开户页
				// 放入缓存
				// that.ocrConfirm.idCardFlag = true;
				$.platform.putCache("certInfo", {certInfo: that.ocrConfirm.certInfo});
				action.originalInitForm();
			});
			//返回
			$("#ocr-confirm-back").bind("tap", function () {
				$("#bind-bankcard-cert-ocr-confirm").hide();
				$("#bind-bankcard-cert-ocr").show();
				return false;
			});
		},
		ORCIdCard: function(imgBaseData, imgType) {
			var that = this;
			var fileextname = imgBaseData.split("data:image/")[1].split(";base64,")[0];
			var base64content = imgBaseData.split("data:image/")[1].split(";base64,")[1];
			var data = $.formGenerate()
				.add("base64content", encodeURIComponent(base64content))
				.add("imgType", imgType)
				.add("archivestype", "02")
				.add("processtype", "3")
				.add("fileextname", fileextname)
				.generate();
			$.hsf.startLoading();
			$.hsf.ajax.app("atomicquery/account/ocrAndSaveIdentityImg", data, "queryAccoinfoCallback", function(jsonResult) {
				$.hsf.stopLoading();
				if(jsonResult && jsonResult.successful) {
					if(imgType == "1") {
						that.checkidCardFront(jsonResult,imgBaseData);
					} else {
						that.checkidCardBack(jsonResult,imgBaseData);
					}
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			}, "post");
		},
		checkidCardFront:function(result,certFrontImg){
			var that = this;
			try {
				for(var p in result) {
					if(typeof result[p] == "string") {
						result[p] = result[p].trim()
					}
				} //给每个字段做一次trim
				if (!result.idBirthday) {
					$.UIPopup("身份证人像面照片的出生日期无法识别");
					throw {};
				}
				result.idBirthday = result.idBirthday.replace(/年|月|日/g, ""); //格式化
				if(result.successful) {
					if(!$.validForm()
							.hope("notEmpty", result.idNo || "", "身份证人像面照片的身份证号码无法识别")
							.hope("=", {a: 8, b: result.idBirthday.length}, "身份证人像面照片的出生日期无法识别")
							.hope("notEmpty", result.idName || "", "身份证人像面照片的姓名无法识别")
							.hope("notEmpty", result.idAdress || "", "身份证人像面照片的地址无法识别")
							.hope("notEmpty", result.idSex || "", "身份证人像面照片的性别无法识别").valid()) {
						throw {};
					}
					if(!$.hsf.hsTools.IdentityCodeValid(result.idNo)){
						$.UIAlert("您的身份证号识别有误或不合法，请上传正确的18位身份证。");
						throw {};
					}
					if(!$.hsf.hsTools.isAdult(result.idNo.substring(6,14))){
						$.UIAlert("您还未满18周岁，暂时无法开户");
						throw {};
					}
					if($.hsf.hsTools.yyyy_mm_dd(result.idBirthday) != $.hsf.hsTools.getBirthdayFromCard(result.idNo)){
						$.UIAlert("身份证人像面照片的出生日期识别有误");
						throw {};
					}
					that.ocr.$getCertFrontImg.attr("src", certFrontImg);
					that.ocr.certInfo.certNo = result.idNo;
					that.ocr.certInfo.name = result.idName;
					that.ocr.certInfo.birthday = result.idBirthday;
					that.ocr.certInfo.clientgender = result.idSex == "男" ? "1" : "0";
					if($.hsf.hsTools.getGenderFromCard(result.idNo) != that.ocr.certInfo.clientgender){
						$.UIAlert("身份证人像面照片的性别识别有误");
						throw {};
					}
					that.ocr.certInfo.clientgenderText = result.idSex;
					that.ocr.certInfo.address = result.idAdress;
					that.ocr.certUploadState.A = true;
					$("#front-text").show();
				} else {
					$.hsf.callFailProcess(result);
					throw {};
				}
			} catch(e) {
				that.ocr.$getCertFrontImg.attr("src", "../images/ocr/box.png");
				if(e.msg) {
					$.UIPopup(e.msg);
				}
				that.ocr.certUploadState.A = false;
				$("#front-text").hide();
			}
		},
		checkidCardBack:function(result,certBackImg){
			var that = this;
			try {
				//给每个字段做一次trim
				for(var p in result) {
					if(typeof result[p] == "string") {
						result[p] = result[p].trim()
					}
				}
				if(result.successful) { //识别不出
					if(!$.validForm().hope("notEmpty", result.idPeriod || "").valid()) {
						throw {
							msg: "身份证国徽面照片的有效期无法识别"
						};
					}
					if(/^((19|20)\d{2}\.((0[1-9]{1})|1[0-2]{1}).(([0-2]{1}[0-9]{1})|(3[0-1]{1})))-((19|20)\d{2}\.((0[1-9]{1})|1[0-2]{1}).(([0-2]{1}[0-9]{1})|(3[0-1]{1})))$/.test(result.idPeriod)) { //非长期
						that.ocr.$getCertBackImg.attr("src", certBackImg);
						var endDate = result.idPeriod.split("-")[1].replace(/\./g, "");
						if(!$.validForm().hope("=", {a: 8, b: endDate.length}, "身份证国徽面照片有效期无法识别")
								.hope("birthday", $.hsf.hsTools.yyyy_mm_dd(endDate), "身份证国徽面照片有效期无法识别")
								.valid()){
							throw {};
						}
						that.ocr.certInfo.idenddate = endDate;
						var startDate = result.idPeriod.split("-")[0].replace(/\./g, "");
						that.ocr.certInfo.startDate = startDate;
						that.ocr.certUploadState.B = true;
						$("#back-text").show();
					} else if(/^((19|20)\d{2}\.((0[1-9]{1})|1[0-2]{1}).(([0-2]{1}[0-9]{1})|(3[0-1]{1}))-长期)$/.test(result.idPeriod)) { //长期
						that.ocr.$getCertBackImg.attr("src", certBackImg);
						that.ocr.certInfo.idenddate = "99991231";
						var startDate = result.idPeriod.split("-")[0].replace(/\./g, "");
						that.ocr.certInfo.startDate = startDate;
						that.ocr.certUploadState.B = true;
						$("#back-text").show();
					} else {
						throw {
							msg: "身份证国徽面照片的有效期无法识别"
						}
					}
				} else {
					$.hsf.callFailProcess(result);
					throw {};
				}
			} catch(e) {
				that.ocr.$getCertBackImg.attr("src", "../images/ocr/box2.png");
				if(e.msg) {
					$.UIPopup(e.msg);
				}
				that.ocr.certUploadState.B = false;
				$("#back-text").hide();
			}
		},
		setPwdNext : function() {
			$("#first").hide();
			$("#second").hide();
			$("#third").show();
			openAccoForm.init(action.constant.data);
		},

		packForm : function() {
			var ddHtml = "<dd m-type=\"mark\" m-marked=\"\" m-id=\"\" m-selectionstyle=\"yes\"> <div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-padding=\"1 1 1 1\"> <div m-role=\"cell\" m-padding=\"0 1 0 0\" m-valign=\"middle\"> <div class=\"bank-logo\"></div> </div> <div m-role=\"cell\" m-mode=\"y\" m-margin=\"0 0 0 1\" m-valign=\"middle\" m-padding=\"1 0 1 1\"> <div class=\"m-font-big bankname\" m-margin=\"0 0 1 0\"></div> </div> </div> </dd>";
			$.hsf.startLoading();
			$.hsf.ajax.app("account/openacco/bankForm", "", "bankForm", function(jsonResult) {
				$.hsf.stopLoading();
				if (jsonResult.successful) {
					action.constant.result = jsonResult;
					var $bankList = $("#bankList");
					var $dl = $bankList.find("dl");
					for (var index in jsonResult.bankcards) {
						var $ddHtml = $(ddHtml);
						$ddHtml.attr("m-id", index);
						$ddHtml.find(".bankname").html(jsonResult.bankcards[index].bankname);
						$ddHtml.find(".bank-logo").addClass("bank-"+jsonResult.bankcards[index].alias);
						$dl.append($ddHtml);
					}
					$bankList.UITableView("refresh");
					action.selectBankProcess(0);
					action.initCardType();
					action.initOpenPanel();
					action.initProvincesAndCities();
				}
			});
			action.record();
			action.period();
			$(document).on('tap','#keep',function(){
				var val=$('.feedback_txt textarea').val();
				if(val==''){
					$.UIPopup("请输入内容!");
					return false;
				}else {
					if (action.choiceTag == '1') {//诚信
						action.constant.record = val;
					} else if (action.choiceTag == '2') {//实际控制人
						action.constant.holdingname = val;
					} else if (action.choiceTag == '3') {//实际收益人
						action.constant.beneficiaryname = val;
					}
					$("#container").empty();
					$("#third").show();
					$("#seventh").hide();
					$('.feedback_txt textarea').val("");
				}
			});
		},
		//本人或他人
		period:function(){
			var that = this;
			$("#beneficiary-change").on("tap", function () {//实际收益人
				that.choiceTag = "3";
				var Text=$(".beneficiary-period-change").text();
				$(".beneficiary-period-change").addClass('period-word');
				$('.mask').show();
				$("#data_box").addClass('active').show();
				$('.change-period>div').siblings().removeClass('period-selected');
				$('.change-period>div').each(function(i,dom){
					if($(dom).text()== Text){
						$(this).addClass('period-selected');
					}
				});
			});

			$("#holdingname-change").on("tap", function () {
				that.choiceTag="2";
				var Text=$(".holdingname-period-change").text();
				$(".holdingname-period-change").addClass('period-word');
				$('.mask').show();
				$("#data_box").addClass('active').show();
				$('.change-period>div').siblings().removeClass('period-selected');
				$('.change-period>div').each(function(i,dom){
					if($(dom).text()==Text){
						$(this).addClass('period-selected');
					}
				});
			});

			$('.change-period>div').on('tap',function(){
				var Text=$(this).text();
				if(Text=='他人'){
					$("[m-role='right']").show();
					var copy='<div m-role="UIButton" class="back link" id="keep" style="color:#fff">保存</div>';
					$("#container").append(copy);
					if (that.choiceTag == "2") {//实际控制人
						$('.feedback_txt textarea').val(action.constant.holdingname);
					} else if (that.choiceTag == "3") {//实际收益人
						$('.feedback_txt textarea').val(action.constant.beneficiaryname);
					}
					$("#third").hide();
					$("#seventh").show();
				}else{
					if (that.choiceTag == "2") {//实际控制人
						action.constant.holdingname = $("#custname").UITextField("value").trim();
					} else if (that.choiceTag == "3") {//实际收益人
						action.constant.beneficiaryname = $("#custname").UITextField("value").trim();
					}
				}
				if($(this).hasClass('period-selected')){
					$('.period-word').text(Text);
				}else {
					$(this).addClass('period-selected').siblings().removeClass('period-selected');
					$('.period-word').text(Text);
				}
				// 收益人、控制人跳转
				$("#backBtnThird").on('tap',function(){
					if (that.choiceTag == '2') {//实际控制人
						if ($('.feedback_txt textarea').val() != '') {
							$('.holdingname-period-change').html('他人');
						} else {
							$('.holdingname-period-change').html('本人');
						}
					} else if (that.choiceTag == '3') {//实际收益人
						if ($('.feedback_txt textarea').val() != '') {
							$('.beneficiary-period-change').html('他人');
						} else {
							$('.beneficiary-period-change').html('本人');
						}
					}
					$("#third").show();
					$("#seventh").hide();
					$("#container").empty();
					$(this).off("tap");
					$('.feedback_txt textarea').val("");
					return false;
				});
				$(".holdingname-period-change").removeClass('period-word');
				$(".beneficiary-period-change").removeClass('period-word');
				$("#data_box").removeClass('active');
				$('.mask').hide();
			})
		},
		//记录
		record:function(){
			var that=this;
			$(".record-change").on("tap", function () {
				that.choiceTag="1";
				var Text=$(".record-change").text();
				$("#record_box").addClass('active').show();
				$('.mask').show();
				return false;
			});
			$('.change-record>div').on('tap',function(){
				var Text=$(this).text().replace(/(^\s*)|(\s*$)/g, "");
				if(Text=='不良'){
					$("[m-role='right']").show();
					var copy='<div m-role="UIButton"  class="back link" id="keep" style="color:#fff">保存</div>';
					$("#container").append(copy);
					if (action.constant.record != '') {
						$('.feedback_txt textarea').val(action.constant.record)
					}
					$("#third").hide();
					$("#seventh").show();
					$('.unharmful').hide();
					$('.harmful').show();
				}else {
					$('.unharmful').show();
					$('.harmful').hide();
					action.constant.record = ''
				}
				if(!$(this).hasClass('period-selected')){
					$(this).addClass('period-selected').siblings().removeClass('period-selected');
				}
				// 诚信记录处的跳转
				$("#backBtnThird").on('tap',function(){
					if ($('.feedback_txt textarea').val()!=""){//如果之前是无不良记录
						$('.change-record>div').each(function(i,dom){
							if($(dom).text()=="不良"){
								$(this).addClass('period-selected').siblings().removeClass('period-selected');
							}
						});
					}else{//如果之前勾选的是不良
						$('.unharmful').show();
						$('.harmful').hide();
						$('.change-record>div').each(function(i,dom){
							if($(dom).text()=="无不良记录"){
								$(this).addClass('period-selected').siblings().removeClass('period-selected');
							}
						});
					}
					$("#third").show();
					$("#seventh").hide();
					$("#container").empty();
					$(this).off("tap");
					$('.feedback_txt textarea').val("");
					return false;
				});

				$("#record_box").removeClass('active');
				$('.mask').hide();
			});
		},
		initCardType:function(){
			action.constant.cardType = action.constant.result.idTypeDict;
			// 身份证
			if($.hsf.antiMoneyLaunder){
				action.constant.cardType=action.constant.cardType.filter(function(item) {
					return item.key=='0';
				})
			}

			var cardTypeSelect = document.getElementById("cardTypeSelect");
			cardTypeSelect.options.length = 0;
			for(var i=0;i<action.constant.cardType.length;i++){
				cardTypeSelect[i] = new Option(action.constant.cardType[i].value, action.constant.cardType[i].key);
			}
		},

		// 开户
		initOpenPanel:function(){
			var that=this;
			if ($.hsf.antiMoneyLaunder) {
				$('#custname').UITextField('value', $("#ocr-cert-name").UITextField("value").trim());
				$("#identityno").UITextField("value",that.ocrConfirm.certInfo.certNo);
				$('#identityno input').attr('disabled', 'disabled');
				$("#identityno .UITextFieldClear").remove();
			} else {
				$('#custname').removeAttr('m-state');
				$('#identityno input').removeAttr('disabled');
			}

		},
		getSelectBankcard : function() {
			return action.constant.result.bankcards[action.constant.selectBank];
		},
		events: function() {
			$(document).ready(function() {
				$('input[type=radio][name=foreigners]').change(function() {
					if (this.value == 0) {
						$.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
					}
				});
			});
			$("#bankcardSelect").bind("tap", function() {
				$("#first, #bankSelect").toggle();
				return false;
			});
			$("#bankSelectBackBtn").bind("tap", function() {
				$("#first, #bankSelect").toggle();
				return false;
			});
			$("#smscodebtn").bind("tap", function() {
				action.sendBankAuthcode();
				return false;
			});
			$("#submitBtn").on("tap", function() {
				// 设置默认的受益人 控制人
				action.constant.beneficiaryname = $("#custname").UITextField("value").trim()||"";
				action.constant.holdingname = $("#custname").UITextField("value").trim()||"";
				action.constant.record = "";
				if("3" == action.constant.capitalmode){
						action.doSubmit();//银联开户
						return false;
				}else{
						action.next();//开户
						return false;
				}
			});
			$("#bankList").UITableView("mark", function(result) {
				action.selectBankProcess(result);
				$("#first, #bankSelect").toggle();
				return false;
			});
		},
		selectBankProcess : function(result) {
			$(".selectedBankName").html(action.constant.result.bankcards[result].bankname);
			$(".selectedBankcardIcon").removeAttr("class").addClass("selectedBankcardIcon bank-logo bank-"+action.constant.result.bankcards[result].alias);
			action.constant.capitalmode = action.constant.result.bankcards[result].capitalmode;
			if("3" == action.constant.capitalmode){
				$("#sendcode").hide();
			}else {
				$("#sendcode").show();
			}
			action.constant.bankserial = action.constant.result.bankcards[result].bankserial;
		},
		//银行特殊处理获取验证码
		sendBankAuthcode:function(){
			var that=this;
			if (this.sandclock.readyStart()) {
				var mobile = $('#mobile').UITextField('value').trim();
				var identitytype = $('#selectCardType').UISelectField('value').trim();
				var bankacco = $('#bankacco').UITextField('value').trim();
				var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
				var handsetReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;
				var numReg = /^\d+$/;

				//var identitytype = "0";//$("#identitytype").UISelectField("value").trim();
				var customername = "";
				var identityno = "";
				var invalidate = "";
				var nowdate = $.hsf.hsTools.getCurrentDate().replace(/-/g, "");
				if (that.ocrConfirm.certInfo && that.ocrConfirm.certInfo.name) {
					var p = that.ocrConfirm.certInfo;
					customername = p.name;
					identityno = p.certNo;
					invalidate = $.hsf.hsTools.yyyy_mm_dd(p.idenddate);
				} else {
					customername = $('#custname').UITextField('value').trim() || '';
					identityno = $("#identityno").UITextField("value").trim().replace(/\s/g,'').toUpperCase();
					invalidate =  "9999-12-31" ;
				}

				// y
				action.constant.invalidate=invalidate;
				if(""==customername){
					$.UIAlert("请输入您的真实姓名！");
					return false;
				}
				if(invalidate.replace(/-/g,"") <= nowdate){
					$.UIPopup("证件有效期需大于当天");
					return false;
				}
				if(""==identityno) {
					$.UIAlert("请输入您的证件号码！");
					return false;
				}
				var validForm = $.validForm();
				if("0" == identitytype){
					validForm.add("cerfiticate",identityno);
					if(!(validForm.valid())){
						return false;
					}
				}
				if(identitytype=="0"){
					if(!action.isAdult(identityno.substring(6,14))){
						$.UIAlert("未成年暂时不能开户！");
						return false;
					}
				}
				if(""==bankacco){
					$.UIAlert("请输入银行卡号！");
					return false;
				}
				if(!numReg.test(bankacco)){
					$.UIAlert("银行卡号必须为数字！");
					return false;
				}
				if(""==mobile){
					$.UIAlert("请输入手机号码！");
					return false;
				}
				if(!handsetReg.test(mobile)){
					$.UIAlert("手机号码格式不正确！");
					return false;
				}
				var data = 'mobile=' + mobile
					+ '&sendintent=openacco'
					+ '&capitalmode=' + action.constant.capitalmode
					+ '&bankacco=' + bankacco
					+ '&customername=' + customername
					+ '&bankserial=' + action.constant.bankserial
					+ '&identitytype=' + identitytype
					+ '&identityno=' + identityno;
				$.hsf.startLoading();//$.hsf.startLoading("正在获取...");
				$.hsf.ajax.app("account/mobile/fastSendCode", data, "sendbankauthcodeCallback", function(jsonResult) {
					$.hsf.stopLoading();
					if(jsonResult.successful){
						$("#authcode_show").remove();
						$("#authcode").show();
						action.constant.accoreqserial=jsonResult.accoreqserial?jsonResult.accoreqserial:"";
						action.constant.otherserial="";
						$.UIAlert("手机验证码已发送！请注意查收短信！");
						action.sandclock.start();
					} else {
						$.hsf.callFailProcess(jsonResult);
					}
				});
			}
		},
		//判断是否成年 大于18周岁
		isAdult : function(custbirthday){
			var d = new Date();
			var year=d.getFullYear();
			var month=d.getMonth()+1;
			var strDate = d.getDate();
			if (month >= 1 && month <= 9) {
				month = "0" + month;
			}
			if (strDate >= 0 && strDate <= 9) {
				strDate = "0" + strDate;
			}
			var str = year+""+month+""+strDate;
			if(parseInt(str)-parseInt(custbirthday)>=180000){
				return true;
			}else{
				return false;
			}
		},
		next:function(){
			if(!action.validate()){
				return false;
			}
			var custname = $("#custname").UITextField("value");
			var identitytype = $("#selectCardType").UISelectField("value").trim();
			var identityno = $("#identityno").UITextField("value");
			var bankacco = $("#bankacco").UITextField("value").trim();
			var data = 'mobileauthcode=' + $('#authcode').UITextField('value').trim()
				+ '&interfacetype=1'
				+ '&detailcapitalmode=01'
				+ '&capitalmode=' + action.constant.capitalmode
				+ '&custname=' + custname
				+ '&customername=' + custname
				+ '&bankacco=' + bankacco
				+ '&bankserial=' + action.constant.bankserial
				+ '&mobile=' + $('#mobile').UITextField('value').trim()
				+ '&identitytype=' + identitytype
				+ '&way=0'
				+ '&sendintent=openacco'
				+ '&accoreqserial=' + action.constant.accoreqserial
				+ '&originalorderid=' + action.constant.accoreqserial
				+ '&identityno=' + identityno;
			  if(action.constant.capitalmode=="4"){
				  data += "&busintype=OPENACCO";
			  }
			$.hsf.startLoading();//$.hsf.startLoading("正在验证...");//首先验证手机验证码
			$.hsf.ajax.app("account/bank/fastAuthor", data, "validateCodeCallback", function(jsonResult) {
				if(jsonResult.successful){
					$.hsf.stopLoading();
					var capitalmode = action.constant.capitalmode;
					var bankserial = action.constant.bankserial;
					var identityno = $("#identityno").UITextField("value").trim();
					var identitytype = $("#selectCardType").UISelectField("value").trim();
					var custname = $("#custname").UITextField("value");
					var bankname = action.constant.bankname;//有其他银行则取select框
					var bankacco = $("#bankacco").UITextField("value").trim();
					//   var detailcapitalmode = "01";
					var mobile = $("#mobile").UITextField("value").trim();
					action.constant.mData = 'bankacco=' + bankacco
						+ '&bankserial=' + bankserial
						+ '&interfacetype=1'
						+ '&detailcapitalmode=03'
						+ '&customerappellation=' + custname
						+ '&capitalmode=' + capitalmode
						+ '&identityno=' + identityno
						+ '&identitytype=' + identitytype
						+ '&handset=' + mobile
						+ '&yinliancdcard=' + jsonResult.yinliancdcard
						+ '&accoreqserial=' + action.constant.accoreqserial;
					if($.hsf.antiMoneyLaunder){
						action.constant.mData += '&invalidate=' + action.constant.invalidate.replace(/-/g, '');
					}
					action.constant.identityno = identityno;
					action.constant.identitytype = identitytype;
					$('#first').hide();
					$('#second').hide();
					$('#third').show();
					openAccoForm.events();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		// 省市初始化
		initProvincesAndCities: function () {
			var that = this;
			var p = that._private;
			//切换省份下拉框
			$("#provincecode").UISelectField("change",function(value){
				if(value!=null && value!=""){
					that._private.provincecode = value;
					for(var i=0;i<p.proviceAndCities.length;i++){
						var province = p.proviceAndCities[i]
						if(value==province.proviceno){
							if(province.cities.length>0){
								p.cities = province.cities;
								$.doTemplate('citynoSel', p.cities, 'refresh');
								that.processSelect('', '#cityno');
								$("#cityPanel").show();
							}else{
								p.cities = [];
								$.doTemplate('citynoSel', [], 'refresh');
								$("#cityPanel").hide();
							}
							break;
						}
					}
				}else{
					$.hsf.stopLoading();
					$("#cityPanel").hide();
					$("#countyPanel").hide();
					$("#citynoSel option").remove();
				}
			});
			//切换城市
			$("#cityno").UISelectField("change",function(value){
				if(value!=null && value !=""){
					that._private.cityno = value;
					for(var i=0;i<p.cities.length;i++){
						var city = p.cities[i];
						if(value==city.cityno){
							if(city.contries.length>0){
								p.contries = city.contries;
								$.doTemplate('countynoSel', p.contries, 'refresh');
								that.processSelect('', '#countyno');
								$("#countyPanel").show();
							}else{
								p.contries = []
								$.doTemplate('countynoSel',[], 'refresh');
								$("#countyPanel").hide();
							}
							break;
						}
					}
				}else{
					$.hsf.stopLoading();
					$("#countyPanel").hide();
					$("#countynoSel option").remove();
				}
			});
			// 省市区
			$.hsf.ajax.app("atomicquery/account/dict","isQueryProviceAndCities=1","provinceForm",function(jsonResult){
				if(jsonResult&&jsonResult.successful){
					p.proviceAndCities = jsonResult.proviceAndCities;
					$.doTemplate('provincecodeSel', p.proviceAndCities,"refreshable");
					that.processSelect("","#provincecode"); // 请选择
					$("#cityPanel").hide();
					$("#countyPanel").hide();
				}else{
					$.hsf.callFailProcess(jsonResult);
				}
			})
		},
		//没有填写的，不再默认，添加“请点击选择”项
		processSelect: function(value,selector){
			if(value){
				$(selector).UISelectField("value", value);
			}else{
				$(selector).find("select").prepend("<option value disabled selected>请选择</option>");
				$(selector).find(".UISelectFieldText").html("请点击选择")
			}
		},
		merOpenAcco : function(tradepassword,addr) {// 通联开户
			// date 2019-11-04
			// 省市信息
			var custprovincecode = $("#provincecode").UISelectField("value").trim(); //省份代码（用户信息）
			var custcityno = $("#cityno").UISelectField("value").trim();//城市代码（用户信息）
			var custcountyno = $("#countyno").UISelectField("value").trim();//区县代码（用户信息）
			var data = action.constant.mData
				+ "&tradepassword="+tradepassword
				+ "&custprovincecode=" + custprovincecode
				+ "&custcityno=" + custcityno
				+ "&custcountyno=" + custcountyno
				+ "&communicationaddr=" + addr
				+ "&beneficiary=" + action.constant.beneficiaryname
				+ "&holdingname=" + action.constant.holdingname
				+ "&badintegritydesc=" + action.constant.record;  //交易密码
			$.hsf.startLoading("正在提交...");
			$.hsf.ajax.app("account/openacco/openacco",decodeURI(data), "openaccocallback", function(jsonResult){
				$.hsf.stopLoading();
				if(jsonResult && jsonResult.successful) {
					$.hsf.startLoading();
					action.merOpenCallback(jsonResult,tradepassword);
				} else{
					$.UIAlert(jsonResult.message,function() {
						// $.hsf.hsOpen("index.html");
					});
					return false;
				}
			});
		},
		//通联开户成功后开户
		merOpenCallback:function(jsonResult,tradepassword){
			if(jsonResult && jsonResult.successful){
				var account = action.constant.identityno,
					pw = tradepassword,
					accountType = action.constant.identitytype,
					platformApi = $.hsf.getModuleAPI(platform, "login-view"),
					logindata = "certificatetype=" + accountType + "&lognumber=" + account + "&password=" + pw + "&channel=weixin";
				$.hsf.ajax.app(platformApi.loginUrl, logindata, "checkLoginCode", function(jsonResult) {
					$.hsf.stopLoading();
					if (jsonResult.successful) {
						var question = "accoreqserial=ISNULL&qnoandanswer={\"00001\":\"001\",\"00002\":\"001\",\"00003\":\"001\",\"00004\":\"001\",\"00005\":\"001\",\"00006\":\"001\",\"00007\":\"001\",\"00008\":\"001\",\"00009\":\"001\",\"00010\":\"001\"}";
						$.hsf.ajax.app("account/risk/modifyRisk", question, "checkLoginCode", function(jsonResult) {
							$("#third").hide();
							$("#four").show();
						});
					} else {
						$("#third").hide();
						$("#four").show();
					}
				});
				$("#third").hide();
				$("#four").show();
			} else{
				$.hsf.stopLoading();
				$.hsf.callFailProcess(jsonResult);
			}
		},
		sandclock :  {
			run : function() {
				if (action.constant.counter == 0) {
					$("#smscodebtn").attr("m-state","");
					$("#smscodebtn").html("获取");
				} else {
					$("#smscodebtn").html((action.constant.counter--)+"秒");
					setTimeout("action.sandclock.run()", 1000);
				}
			},
			start : function() {
				action.constant.counter = action.constant.repeatSeconds;
				$("#smscodebtn").attr("m-state","disabled");
				$("#smscodebtn").html((action.constant.counter--)+"秒");
				setTimeout("action.sandclock.run()", 1000);
			},
			readyStart : function() {
				if (action.constant.counter == 0) {
					return true;
				} else {
					false;
				}
			}
		},
    validate: function () {//通联表单验证

			var identitytype = $("#selectCardType").UISelectField("value").trim();
			var bankacco = $("#bankacco").UITextField("value").trim();
			var mobile = $("#mobile").UITextField("value").trim();
			var mobileSecurityCode = $("#authcode").UITextField("value").trim();
			var custname = $("#custname").UITextField("value");
			var identityno = $("#identityno").UITextField("value").trim();
			var numReg = /^\d+$/;
			var mobileReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;
			if(""==custname){
				$.UIAlert("请输入您的真实姓名！");
				return false;
			}
			if(""==identityno){
				$.UIAlert("请输入证件号码！");
				return false;
			}
			var validForm = $.validForm();
			if("0" == identitytype){
				validForm.add("cerfiticate",identityno);
				if(!(validForm.valid())){
					return false;
				}
			}
			if(identitytype=="0"){
				if(!action.isAdult(identityno.substring(6,14))){
					$.UIAlert("未成年暂时不能开户！");
					return false;
				}
			}
			if(""==bankacco){
				$.UIAlert("请输入银行卡号！");
				return false;
			}
			if(""==mobile){
				$.UIAlert("请输入手机号码！");
				return false;
			}
			if(!numReg.test(bankacco)){
				$.UIAlert("银行卡号必须为数字！");
				return false;
			}
			if(!numReg.test(mobile)){
				$.UIAlert("手机号码必须为数字！");
				return false;
			}
			if(!mobileReg.test(mobile)){
				$.UIAlert("手机号码格式不正确！");
				return false;
			}

			// capitalmode 工行卡的时候不返回accoreqserial， 所以工行卡时不验证验证码
			if(action.constant.capitalmode!="4"&&""==action.constant.accoreqserial){
				$.UIAlert("请点击获取验证码！");
				return false;
			}
			if(""==mobileSecurityCode){
				$.UIAlert("请输入手机验证码！");
				return false;
			}
			var foreigners = $('input[name="foreigners"]:checked').val();
			if(foreigners==undefined){
				$.UIAlert("请选择是否为居民！");
				return false;
			}else if(foreigners==0){
				$.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
				return false;
			}
			return true;
		},
		validateForm : function() {

			var identitytype = $("#selectCardType").UISelectField("value").trim();
			var identityno = $("#identityno").UITextField("value");
			var capitalmode = action.constant.capitalmode;
			var custname = $("#custname").UITextField("value");
			var bankacco = $("#bankacco").UITextField("value").trim();
			var customername = $("#custname").UITextField("value").trim();
			var sex = "1"; //性别
			if(parseInt(identityno.substr(16, 1)) % 2 != 1){
				sex = "0";
			}
			var communicationaddr;
			//var broker = $("#broker1").UITextField("value").trim();
			var isvalidopenacco = "0"; //不为1 检查用户是否开过户
			var busintype = "OPENACCO";
			var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
			var handsetReg = /^[0-9]{11}$/;
			var numReg = /^\d+$/;
			var mobileReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;
			var mobile = $("#mobile").UITextField("value").trim();
			if ("" == customername) {
				$.UIAlert("请输入您的真实姓名！");
				return false;
			}
			if ("" == identityno) {
				$.UIAlert("请输入证件号码！");
				return false;
			}
			var validForm = $.validForm();
			if("0" == identitytype){
				validForm.add("cerfiticate",identityno);
				if(!(validForm.valid())){
					return false;
				}
			}

			if(identitytype=="0"){
				if(!action.isAdult(identityno.substring(6,14))){
					$.UIAlert("未成年暂时不能开户！");
					return false;
				}
			}
			if ("" == bankacco) {
				$.UIAlert("请输入银行卡号！");
				return false;
			}
			if(""==mobile){
				$.UIAlert("请输入手机号码！");
				return false;
			}
			if (!numReg.test(bankacco)) {
				$.UIAlert("银行卡号必须为数字！");
				return false;
			}
			if(!numReg.test(mobile)){
				$.UIAlert("手机号码必须为数字！");
				return false;
			}
			if(!mobileReg.test(mobile)){
				$.UIAlert("手机号码格式不正确！");
				return false;
			}
			var foreigners = $('input[name="foreigners"]:checked ').val();
			if(foreigners==undefined){
				$.UIAlert("请选择是否为外国纳税人！");
				return false;
			}else if(foreigners==1){
				$.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
				return false;
			}
			if (communicationaddr == "") {
				communicationaddr = customername;
			}
			action.constant.datastr = "customername="+customername+"&identitytype="+identitytype+"&identityno="+identityno;
			var data ="mobile="+mobile+ "&capitalmode="+capitalmode+"&bankacco=" + bankacco + "&customerappellation=" + customername + "&identitytype=" + identitytype + "&identityno=" + identityno + "&bankserial=" + action.constant.bankserial + "&sex=" + sex + "&isvalidopenacco=" + isvalidopenacco + "&busintype=" + busintype;
			return data;
		},

		doSubmit: function() {
			var data = action.validateForm();
			if (data) {
				$.hsf.startLoading();
				$.hsf.ajax.app("capital/chinapay/openaccoOrder", data, "doChinapayOpenaccoOrderCallback", function(jsonResult) {
					if (jsonResult && jsonResult.successful) {
						var charactercode = jsonResult.orderResult.charactercode; //特征码
						var merid = jsonResult.orderResult.merid; //商户号
						var merorderid = action.constant.accoreqserial = jsonResult.orderResult.merorderid; //商户订单号
						var merordertime = jsonResult.orderResult.merordertime; //下单时间
						var sign = jsonResult.orderResult.sign; //签名
						if ($.hsf.platform() == "platform/weixinapi" || $.hsf.platform() == "platform/pcapi") {
							var url = $.hsf.chanpayURL
								+ "sign="+sign
								+ "&merchantId=" + merid
								+ "&merchantOrderId=" + merorderid
								+ "&merchantOrderTime="+ merordertime
								+ "&orderKey=" + charactercode
								+ "&pgRetUrl=" + $.hsf.appBaseUrl+"capital/chinapay/chinapayCallBack?pageId=openacco"
								+encodeURIComponent("&data="+action.constant.datastr.replace(new RegExp("&","gm"),"$").replace(new RegExp("=","gm"),"^"))
								+ "&a=" + Date.parse(new Date());
							window.location.href = url;
							return;
						}else{
							var url = $.hsf.chanpayURL
								+ "sign="+sign
								+ "&merchantId=" + merid
								+ "&merchantOrderId=" + merorderid
								+ "&merchantOrderTime="+ merordertime
								+ "&orderKey=" + charactercode
								+ "&pgRetUrl=" + $.hsf.appBaseUrl+"capital/chinapay/chinapayHtmlCallBack"
								+ "&a=" + Date.parse(new Date());
							action.loadChinapay(url);
						}
						$.hsf.stopLoading();
					} else {
						$.hsf.stopLoading();
						if(jsonResult.code=="ETS-5BB0261"){
							jsonResult.message="您已经开户，可以直接网上直销或移动端账户密码登录";
						}
						$.hsf.callFailProcess(jsonResult);
					}
				});
			}
		},
		addChinapaySuccListener : function() {
			$.hsf.Event.addListener("chinapaySucc", function(obj) {
				action.constant.applyserial = obj;
				$("#first").hide();
				$("#second").hide();
				$("#third").show();
			});
		}
	};
	function openAccoForm() {
		var action = {
			constant : {
				orderid : null,
				identityno:null,
				tradepassword:null,
				identitytype:null,
				initEvent : false,
				communicationaddr: ""
			},
			init:function(data) {
				action.constant.data = data;
				action.constant.accoreqserial = data.merOrdId;
				action.constant.orderid = data.merOrdId;
				action.constant.identitytype = data.identitytype;
				action.constant.identityno = data.identityno;
				action.constant.customername = data.customername;
				action.constant.checkTimes = 0;
				action.checkChinapay();
				if (action.constant.initEvent == false) {
					action.events();
					action.constant.initEvent = true;
				}
			},
			checkChinapay : function() {
				if (action.constant.checkTimes++ > 10) {
					$.hsf.stopLoading();
					$.UIAlert("验证超时,请重新验证", function() {
						$("#first").show();
						$("#second").hide();
						$("#third").hide();
						window.action.addChinapaySuccListener();
						window.action.packForm();
						window.action.events();
					});
					return;
				}
				$.hsf.startLoading();
				var accoreqserial = action.constant.orderid;
				var orderid = action.constant.orderid;
				var identitytypebank = action.constant.identitytype;
				var identitynobank = action.constant.identityno;
				var custname = action.constant.customername;
				var params = "accoreqserial="+accoreqserial+"&orderid="+orderid
					+"&identitytypebank="+identitytypebank+"&identitynobank="
					+identitynobank+"&busitype=OPENACCO"+"&custname="+custname;
				$.hsf.ajax.app("capital/chinapay/openaccoRsQuery", params, "doCPOpenaccoValidRsQueryCallback", function(jsonResult) {
					if(jsonResult && jsonResult.successful && "ETS-5BP00000"==jsonResult.code) {
						$.hsf.stopLoading();
						var result = jsonResult.result;
						if(result){
							action.constant.bankname = result.bankname|| "";
							action.constant.bankserial = result.bankserial|| "";
							action.constant.mobile = result.telephone|| "";
							action.constant.customerappellation = result.customerappellation|| "";
							action.constant.bankacco = result.bankacco|| "";
						}
					}else if(jsonResult.code = "ETS-5BA00015") {
						setTimeout(action.checkChinapay, 1000);
					}else{
						if (jsonResult.code == "ETS-5AP9999") {
							$.UIAlert("银联验证失败，请重新验证", function() {
								$.platform.succBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						}
					}
				});
			},
			events: function() {
				$("#back2").bind("tap", function() {
					$("#open2").hide();
					$("#open1").show();
					return false;
				});
				$("#submitBtn5").on("tap",function(){
					var result = action.validate();
					if(""==result){
						return;
					}else{
						window.action.merOpenAcco(result,action.constant.communicationaddr);//通联开户
					}
				});
				$("#pwMaxLength").html($.hsf.pwLength);
			},
			//从身份中获取生日
			getBirthdayFromCard:function (identityno){
				var year=2000;
				var month=12;
				var day=31;
				if(identityno.length==15){
					year = "19"+identityno.substr(6,2);
					month = identityno.substr(8,2);
					day= identityno.substr(10,2);
				}else if(identityno.length==18){
					year = identityno.substr(6,4);
					month = identityno.substr(10,2);
					day= identityno.substr(12,2);
				}
				return year+"-"+month+"-"+day;
			},
			//从身份中获取性别
			getSexFromCard:function(identityno){
				var sex=0;
				if(identityno.length==15){
					sex = identityno.substr(13,1);
				}else if(identityno.length==18){
					sex = identityno.substr(16,1);
				}
				return sex%2;
			},
			validate:function(){
				// 省市区处理
				var that = this;
				var p =window.action._private;
				var provincecode = $("#provincecode").UISelectField("value").trim();
				var provinceValue = $("#provincecode option:selected").text()||"";
				var cityno = $("#cityno").UISelectField("value").trim();
				var cityValue = $("#cityno option:selected").text()||"";
				var countyno = $("#countyno").UISelectField("value").trim();
				var countyValue = $("#countyno option:selected").text()||"";
				var detailedAddress = $("#detailedAddress").UITextField("value").trim()||"";
				var communicationaddr = "";//拼接后的地址
				if (provincecode=='' || provincecode=='[ISNULL]') {
					$.UIPopup('请选择通讯地址所在省');
					return false;
				}else{
					if($.hsf.appendAddress){
						communicationaddr = communicationaddr + provinceValue;
					}
				}
				// 省份判空
				if (cityno=='' || cityno=='[ISNULL]') {
					$.UIPopup('请选择通讯地址所在市');
					return false;
				}else{
					if($.hsf.appendAddress){
						communicationaddr = communicationaddr + cityValue;
					}
				}
				// 台湾 香港特别行政区没有区县
				if(p.contries.length!==0){
					if (countyno=='' || countyno=='[ISNULL]') {
						$.UIPopup('请选择通讯地址所在区/县');
						return false;
					}else{
						if($.hsf.appendAddress){
							communicationaddr = communicationaddr + countyValue;
						}
					}
				}
				if(detailedAddress==""){
					$.UIPopup('请输入详细的通讯地址');
					return false;
				}else{
					var senFlag = "";
					for(var i=0;i<$.hsf.addressSensitive.length;i++){
						if(detailedAddress.indexOf($.hsf.addressSensitive[i])!=-1){
							senFlag = $.hsf.addressSensitive[i];
							break;
						}
					}
					if(""!=senFlag){
						$.UIPopup("通讯地址中不能含有敏感词 ["+senFlag+"]");
						return false;
					}
					communicationaddr = communicationaddr + detailedAddress;
				}
				action.constant.communicationaddr = communicationaddr;
				var tradepassword = $("#tradepassword").UITextField("value").trim();
				var tradepassword2 = $("#tradepassword2").UITextField("value").trim();
				if(""==tradepassword){
					$.UIAlert("请输入交易密码！");
					return "";
				}
				var pwdLenReg = /^.{8,16}$/;
				if(!pwdLenReg.test(tradepassword)){
					$.UIAlert("密码由8-16位数字和字母组成！");
					return "";
				}
				var pwdReg = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{8,16}$/ ;
				if(!pwdReg.test(tradepassword)){
					$.UIAlert("密码由8-16位数字和字母组成！");
					return "";
				}
				if(""==tradepassword2){
					$.UIAlert("请输入确认密码！");
					return "";
				}
				if(tradepassword != tradepassword2){
					$.UIAlert("两次密码输入不一致！");
					return "";
				}
				return tradepassword2;
			}
		};
		return action;
	}
	return action;
});
