/**
 * Created by apple on 15/6/16.
 */

define([], function() {
	var action = {
		constant: {
			msgTypes:null,
			msgType:null,
			openId:null
		},
		init: function() {
			$.platform.getCache("openId", function(openId) {
				action.constant.openId = openId;
				action.getMsgDict();
				action.events();
			});

		},
		getMsgDict:function(){
			var data="functionCode=1004&dictType=msgOnlineType";
			$.hsf.startLoading();
			$.hsf.ajax.app("wxzt/m", data, "feedbackCallback", function(jsonResult) {
				if (jsonResult.message && jsonResult.message!="服务器连接失败") {
					var result = JSON.parse(jsonResult.message);
					action.constant.msgTypes=JSON.parse(result.result);

					var msgTypeSelect = document.getElementById("msgTypeSelect");
					msgTypeSelect.options.length = 0;
					for(var i=0;i<action.constant.msgTypes.length;i++){
						msgTypeSelect[i] = new Option(action.constant.msgTypes[i].dictLabel, action.constant.msgTypes[i].dictValue);
					}
					action.constant.msgType=action.constant.msgTypes[0].dictValue;

					//action.events();
					$.hsf.stopLoading();

				} else {
					$.hsf.callFailProcess(jsonResult);
				};
			});
		},
		events: function() {
			$("#selectMsgType").UISelectField("change", function(value) {

				if (value < action.constant.msgTypes.length) {
					action.constant.msgType=action.constant.msgTypes[value].dictValue;
					//that.initMultiBuyForm();
				}

			});
			$(".history-back").on('tap',function(){
				$.hsf.hsBack();
				return false;
			});

			$("#sendBtn").on("tap", function() {
				var content = $("#content").UITextarea("value");
				var mobile = $("#mobile").UITextField("value");
				//var email=$("#email").UITextField("value");
				var validForm = $.validForm();
				validForm.add("empty", content, "请输入内容")
						.add("script", content, "请输入合法内容")
						//.add("email", email, "请输入正确的邮箱")
						.add("mobile", mobile, "请输入正确的电话号码");
				if (validForm.valid()) {
					var form = $.formGenerate();
					var platformApi = $.hsf.platform();
					var openid="";
					if(platformApi=="platform/iosapi"||platformApi=="platform/androidapi"){
						openid="&openid="+action.constant.openId;
					}
					form.add("functionCode","1002").add("msgType", action.constant.msgType).add("content", content).add("mobile", mobile);
					$.hsf.startLoading();
					$.hsf.ajax.app("wxzt/m", form.generate()+openid, "feedbackCallback", function(jsonResult) {
						if (jsonResult.message && jsonResult.message!="服务器连接失败") {
							var result = JSON.parse(jsonResult.message);
							$.hsf.stopLoading();
							if (result.errorCode == "success") {
								$.UIAlert("感谢您对我们的关注和支持！", function () {
									$.hsf.hsBack();
								});
							}
						}else {
							$.hsf.callFailProcess(jsonResult);
						}
					});
				}
			});
		}
	};
	return action;
});
