/**
 * Created by apple on 15/6/5.
 */

define([],function(){
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode"),
            fundtype : $.hsf.hsTools.getParam("fundtype")
        },
        init : function(){
            var startDate = this.getDate(-1);
            var endDate = this.getDate();
            $.doTemplate("tempate1", action.constant.fundtype);
            $("[m-role='UISegment']").UISegment();
            $("[m-role='UIDateField']").UIDateField();
            $("#startdate1, #startdate2").UIDateField("value", startDate);
            $("#enddate1, #enddate2").UIDateField("value", endDate)
            action.events();
        },
        getDate : function(mParam) {
        	var c = new Date();
        	c.setMonth(c.getMonth()+ (mParam || 0));
			var y = c.getFullYear();
			var m = c.getMonth()+1 < 10 ? "0" + (c.getMonth()+1) : (c.getMonth()+1) ;
			var d = c.getDate();
			return y + "-" +m +"-"+d;
        },
        events : function(){
            $("#netvalue1").on("tap",function(){
                var startdate1 = $("#startdate1").UIDateField("value");
                var enddate1 = $("#enddate1").UIDateField("value");
                var data = "datasource=DC&fundcode="+action.constant.fundcode+"&startdate="+action.formatDate(startdate1)+"&enddate="+action.formatDate(enddate1)+"&applyrecordno="+1000;
                $.hsf.startLoading();
                $.hsf.ajax.app("atomicquery/fundinfo/hisMarket",data,"chartCallback",function(jsonResult){
                    if (jsonResult.successful){
                        var profitlist = jsonResult.returnList;
                        if (profitlist.length == 0){
                            $.UIPopup("查询数据为空！");
                        }
                        var data = "";
                        var maxData = null;
                        var datahtml = "" ;
                        if (action.constant.fundtype == 2){
                            data = action.formatValue(profitlist, "incomeratio");
                            maxData = action.maxValue(data);
                            datahtml = action.renderHtml(profitlist, "incomeratio", maxData);
                        }else{
                            data = action.formatValue(profitlist,"pernetvalue");
                            maxData = action.maxValue(data);
                            datahtml = action.renderHtml(profitlist, "pernetvalue", maxData);
                        }
						$("#detail-history-list1").html(datahtml).show();
                        $.hsf.stopLoading();
                    }else{
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            });
            $("#netvalue2").on("tap",function(){
                var startdate2 = $("#startdate2").UIDateField("value");
                var enddate2 = $("#enddate2").UIDateField("value");
                var data = "datasource=DC&fundcode="+action.constant.fundcode+"&startdate="+action.formatDate(startdate2)+"&enddate="+action.formatDate(enddate2)+"&applyrecordno="+1000;
                $.hsf.startLoading();
                $.hsf.ajax.app("atomicquery/fundinfo/hisMarket",data,"chartCallback",function(jsonResult){
                    if (jsonResult.successful){
                        var profitlist = jsonResult.returnList;
                        if (profitlist.length == 0){
                            $.UIPopup("查询数据为空！");
                        }
                        var data = "";
                        var maxData = null;
                        var datahtml = "";
                        if (action.constant.fundtype == 2){
                            data = action.formatValue(profitlist, "hf_incomeratio");
                            maxData = action.maxValue(data);
                            datahtml = action.renderHtml(profitlist, "hf_incomeratio", maxData);
                        }else{
                            data = action.formatValue(profitlist, "totalnetvalue");
                            maxData = action.maxValue(data);
                            datahtml = action.renderHtml(profitlist, "totalnetvalue", maxData)
                        }
						$("#detail-history-list2").html(datahtml).show();
                        $.hsf.stopLoading();
                    }else{
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            });
        },

        renderHtml : function(data, prop, maxValue) {
            var html = "", percentWidth;
            for(var i=0,j=data.length;i<j && i<365*2;i++) {
                percentWidth=(data[i][prop]/maxValue)*100+"%";
                html+= "<div class=\"sy-item\" m-role=\"cell\"><div class=\"m-color-6 xjb-sy-date\" m-role=\"cell\" m-valign=\"middle\" m-padding=\"0 1 0 1\" m-margin=\"0 1 0 1\">"+data[i].navdate+"</div>"
                    + "    <div m-role=\"cell\" m-layout=\"fit\" m-padding=\"0 1 0 1\" m-margin=\"0 1 0 1\">"
                    + "      <div class=\"xjb-sy-progress\"  m-role=\"cell\" m-layout=\"fit\">"
                    + "        <div class=\"xjb-sy-value\" style=\"width:"+percentWidth+"\"  m-role=\"cell\" m-valign=\"middle\" m-align=\"right\"><span>"+data[i][prop]+"</span></div>"
                    + "      </div>"
                    + "    </div></div>";

            }
            return html;
        },

		formatValue:function(data, prop){
            var valueList=[];
            for(var i=0,j=data.length;i<j;i++) {
                valueList.push(parseFloat(data[i][prop]));
            }
            return valueList;
        },
        maxValue: function(data) {
        	return Math.max.apply(this, data);
        },

        formatDate : function(date){
            var dateArr = date.split("-");
            return dateArr[0]+dateArr[1]+dateArr[2];
        }
    };
    return action;
});