/**
 * Created by apple on 15/6/1.
 */
define(["flot", "../../js/global/echarts.min.js", "global", "Backbone"], function (flot, m) {
    //var echarts = m;
    var action = {
        constant: {
            width:null,
            fundcode: $.hsf.hsTools.getParam("fundcode"),
            fundname: $.hsf.hsTools.getParam("fundname"),
            fundtype: null,
            fundtypestr:null,
            datalist: [],//显示的10条
            graph: {
                time_1: null,
                time_2: null,
                time_3: null,
                time_4: null,
                time_5: null,
                time_6: null,
                time_7: null,
                time_8: null,

            },
            tagId:null,

        },
        init: function () {
            action.GetBrowserVersion();
            action.getFundDetail();
            action.events();
            $("#share-btn").hide();

        },
        getFundDetail: function () {
            //var data = "fundcode="+action.constant.fundcode+"&openId="+action.constant.openId;
            var data = "fundcode=" + action.constant.fundcode;
            var trillNull = function (obj, name, formatFunc, suffix) {
                formatFunc = formatFunc || function (value) {
                        return value;
                    }
                suffix = suffix || "";
                obj[name] = (obj[name] && obj[name] != '--' ? formatFunc.call(null, obj[name]) + suffix : "--");
                return obj[name];
            }
            $.hsf.startLoading();
            $.hsf.ajax.app("product/product/productDetail", data, "checkLoginCode", function (jsonResult) {
                if (jsonResult.successful) {
                    $("[m-role='UIBody']").show();
                    $("#fund-name").html(jsonResult.productDetailInfo.fundname);
                    $("#fundcode").html(jsonResult.productDetailInfo.fundcode);
                    $(".tit-tag").html(jsonResult.productDetailInfo.fundtypestr.substr(0, 1));
                    if(jsonResult.productDetailInfo.fundtypestr){
                        $(".tit-tag").show();
                    };
                    action.constant.fundtypestr=jsonResult.productDetailInfo.fundtypestr.substr(0, 1);

                    $.doTemplate('contentHeaderArea', jsonResult.productDetailInfo);
                    if (jsonResult.buyLimitResult && jsonResult.buyLimitResult.limits && jsonResult.buyLimitResult.limits.length > 0) {
                        $("#minValue").html("最低购买金额：" + jsonResult.buyLimitResult.limits[0].minValue + "元");//最低购买金额

                    }

                    if (jsonResult.productDetailInfo.extra) {
                        //费率
                        $("#tradeFare").html(JSON.parse(jsonResult.productDetailInfo.extra).originalTradeFee);
                        //优惠后费率
                        $("#discountTradeFare").html(JSON.parse(jsonResult.productDetailInfo.extra).discountTradeFare);//优惠后费率

                    }

                    $("#pernetvalue").html(jsonResult.productDetailInfo.pernetvalue);
                    //var navdate=jsonResult.productDetailInfo.navdate.substr(0,2)+"-"+jsonResult.productDetailInfo.navdate.substr(2,2)
                    $("#navdate").html("(" + jsonResult.productDetailInfo.navdate + ")");
                    $("#dayinc").html($.hsf.hsTools.decimal2(jsonResult.productDetailInfo.dayinc,100,"%"));
                    $("#totalnetvalue").html(jsonResult.productDetailInfo.totalnetvalue);

                    $("#fundManager").attr("m-href", "fund-manager.html?fundcode=" + action.constant.fundcode);
                    $("#fundAwkwardnes").attr("m-href", "fund-awkwardnes.html?fundcode=" + action.constant.fundcode);
                    $("#fundFee").attr("m-href", "fund-fee.html?fundcode=" + action.constant.fundcode + "&buybusin=" + jsonResult.productDetailInfo.buybusin);
                    // $(".gm-btn").attr("m-href", "myapp://jp.app/openwith?name=zhangsan&fundcode=" + action.constant.fundcode);
                    // $(".dt-btn").attr("m-href", "myapp://jp.app/openwith?name=zhangsan&fundcode=" + action.constant.fundcode);
                    $(".openApp").attr("href","csfund://hundsun.app/openwith?1=1&fundcode=" + action.constant.fundcode);
                    $(".openApp").bind("tap",function () {
                        // window.location="csfund://hundsun.app/openwith?1=1&fundcode=" + action.constant.fundcode;//打开某手机上的某个app应用
                        setTimeout(function(){
                            window.location=action.constant.the_href;//如果超时就跳转到app下载页
                        },500);
                        // action.applink(action.constant.the_href);
                    });
                    $(".dt-btn").bind("tap",function () {
                        var the_href=$.hsf.appDownloadUrl+"csjj-release-1.0.apk";//获得下载链接
                        window.location="csfund://hundsun.app/openwith?1=1&fundcode=" + action.constant.fundcode;//打开某手机上的某个app应用
                        setTimeout(function(){
                            window.location=the_href;//如果超时就跳转到app下载页
                        },500);
                    });

                    $.doTemplate('rel_2_area', jsonResult.productDetailInfo);
                    action.constant.fundtype = jsonResult.productDetailInfo.fundtype;


                    action.constant.status = jsonResult.productDetailInfo.myFollow;
                    if (jsonResult.productDetailInfo.myFollow) {
                        $("#fav-btn").find("[m-icon='favorite']").addClass("on");
                    } else {
                        $("#fav-btn").find("[m-icon='favorite']").removeClass("on");
                    }

                    if( action.constant.fundtype=="2"){
                        		$("#title1").html("万份收益");
                        		$("#title2").html("七日年化");
                        $("#property12").html("万份收益");
                        $("#property14").html("七日年化");
                        $("#property22").html("万份收益");
                        $("#property24").html("七日年化");

                        		} else {
                        		$("#title1").html("单位净值");
                        		$("#title2").html("累计收益");
                        $("#property12").html("单位净值");
                        $("#property14").html("累计收益");
                        $("#property22").html("单位净值");
                        $("#property24").html("累计收益");

                        	}


                    action.changeSegment("time_1");
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        GetBrowserVersion:function (){
        //判断访问终端
        var browser={
            versions:function(){
                var u = navigator.userAgent, app = navigator.appVersion;
                return {
                    trident: u.indexOf('Trident') > -1, //IE内核
                    presto: u.indexOf('Presto') > -1, //opera内核
                    webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                    gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1,//火狐内核
                    mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
                    ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                    android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
                    iPhone: u.indexOf('iPhone') > -1 , //是否为iPhone或者QQHD浏览器
                    iPad: u.indexOf('iPad') > -1, //是否iPad
                    webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
                    weixin: u.indexOf('MicroMessenger') > -1, //是否微信 （2015-01-22新增）
                    qq: u.match(/\sQQ/i) == " qq" //是否QQ
                };
            }(),
            language:(navigator.browserLanguage || navigator.language).toLowerCase()

        }
        //判断是否IE内核
        //判断是否webKit内核
        if(browser.versions.android)
        {
        action.constant.the_href="http://a.app.qq.com/o/simple.jsp?pkgname=com.csfund.android";//获得下载链接
        }
            //判断是否移动端
        if(browser.versions.ios)
        {
            if(browser.versions.weixin){
                action.constant.the_href="http://a.app.qq.com/o/simple.jsp?pkgname=com.csfund.android";//微信专用获得下载链接
            }else{
                action.constant.the_href="https://itunes.apple.com/app/id865993856";//获得下载链接

            }
        }

    },
        events: function () {
            var that = this;

            $("#title1").bind("tap",function(){
                //$("#placeholder1").css({width: action.constant.width, height: "250px"});
                $("#chartSeg").UISegment("active", "rel_1");
            });
            $("#title2").bind("tap",function(){
                //$("#placeholder2").css({width: action.constant.width, height: "250px"});
                //$("#placeholder2").css({width: $("#flotdiv2").css("width"), height: "250px"});
                $("#chartSeg").UISegment("active", "rel_2");
                if(action.constant.choice2){
                    action.changeSegment(action.constant.choice2);
                }else{
                    action.changeSegment("time_5");
                }
            });

            $("#fav-btn").bind("tap", function () {
                var status = !action.constant.status;
                var fundcode = action.constant.fundcode;
                var data = "status=" + status + "&fundcode=" + fundcode;
                var fav = $("#fav-btn").find(".fund-fav-item");
                if (fav.hasClass("starRotate")) {
                    return;
                } else {
                    fav.addClass("starRotate");

                    $.hsf.startLoading();

                    $.hsf.ajax.app("account/myfollows/followChange", data, "addFavoriteCallback", function (jsonResult) {
                        if (jsonResult.successful) {
                            $.hsf.stopLoading();
                            $.platform.removeCache("fundlist");
                            $.platform.changeFocusFund(fundcode, fav.hasClass("on"));
                            fav.toggleClass("on");
                            if (status) {
                                $("#fav-btn").find("[m-icon='favorite']").addClass("on");
                            } else {
                                $("#fav-btn").find("[m-icon='favorite']").removeClass("on");
                            }

                            action.constant.status = status;
                        } else if (jsonResult.code == "ETS-5BP00001") {
                            $.hsf.stopLoading();
                            $.hsf.innerLogin();
                        } else {
                            $.hsf.callFailProcess(jsonResult);
                        }
                        ;
                        fav.toggleClass("starRotate");

                    });
                }

            });



            $(window).resize(function () {

                $("#placeholder1").css({"width": $("#flotdiv1").css("width"), height: "250px"});
                $("#placeholder2").css({"width": $("#flotdiv2").css("width"), height: "250px"});
                if (that.constant.graph[that.constant.activeGraph] || false) {
                    //this.drawGraph(this.constant.graph[this.constant.activeGraph].arr,this.constant.graph[this.constant.activeGraph].arr2,this.constant.graph[this.constant.activeGraph].min);
                    that.drawGraph(that.constant.graph[that.constant.activeGraph].arr, that.constant.graph[that.constant.activeGraph].min);

                }
            });
            $(".tab-btn-item").on('tap', function () {
                var tabBtnItem = $(this);
                tabBtnItem.addClass('on').siblings().removeClass('on');
                that.changeSegment(tabBtnItem.attr("id"));
                return false;
            });

            $("#placeholder1").bind("plothover", function (event, pos, item) {

                that.constant.latestPosition = pos;
                //if (!that.constant.updateLegendTimeout) {
                that.constant.updateLegendTimeout = setTimeout(that.updateLegend(that), 30);
                //}
            });
            $("#placeholder2").bind("plothover", function (event, pos, item) {

                that.constant.latestPosition = pos;
                //if (!that.constant.updateLegendTimeout) {
                that.constant.updateLegendTimeout = setTimeout(that.updateLegend(that), 30);
                //}
            });
        },



        loadXjbNoLogin: function (jsonResult) {
            $("#yearinc1").html(jsonResult.thisyearIncome);
            if (jsonResult.extra != "") {//近一年为用户带来收益
                $("#oneYearIncome").html(JSON.parse(jsonResult.extra).oneYearIncome);
            }
            $("#hfincomeratio").html(jsonResult.hfincomeratio);
            $("#NoLoginincomeratio").html(jsonResult.incomeratio + "%");
            $("#xjbLogin").hide();
            $("#xjbNoLogin").show();
        },
        changeSegment: function (id) {
            action.constant.tagId=id.substr(5,1);
            /*if($("#flotdiv1").css("width")&&$("#flotdiv1").css("width")!="0px"){
                action.constant.width=$("#flotdiv1").css("width");
            }
            $("#placeholder1").css({"width": action.constant.width, height: "250px"});
            $("#placeholder2").css({"width": action.constant.width, height: "250px"});*/
            var that = this;
            var queryuint = "";
            var recordno = 0;
            if (this.constant.graph[id]) {
                this.constant.activeGraph = id;
                var draw_data = action.constant.tagId>=5?this.constant.graph[id].arr2:this.constant.graph[id].arr;
                this.drawGraph(draw_data, this.constant.graph[id].min,action.constant.tagId);
            } else {
                if (id == "time_1") {
                    queryuint = 1;
                    recordno = 30;
                } else if (id == "time_2") {
                    queryuint = 3;
                    recordno = 90;
                } else if (id == "time_3") {
                    queryuint = 6;
                    recordno = 180;
                } else if (id == "time_4") {
                    queryuint = 12;
                    recordno = 365;
                }else if (id == "time_5") {
                    queryuint = 1;
                    recordno = 30;
                } else if (id == "time_6") {
                    queryuint = 3;
                    recordno = 90;
                } else if (id == "time_7") {
                    queryuint = 6;
                    recordno = 180;
                } else if (id == "time_8") {
                    queryuint = 12;
                    recordno = 365;
                }
                //var data = "fundcode="+this.constant.fundcode+"&queryunit="+queryuint+"&pageno="+1+"&applyrecordno="+recordno+"&datasource=DC";
                var data = "fundcode=" + this.constant.fundcode + "&queryunit=" + queryuint + "&pageno=" + 1 + "&applyrecordno=" + recordno+"&datasource=DC";
                $.hsf.startLoading();
                $.hsf.ajax.app("atomicquery/fundinfo/hisMarket", data, "chartCallback" + queryuint, function (jsonResult) {
                    if (jsonResult.successful) {
                        if (jsonResult.returnList && jsonResult.returnList.length > 0) {
                            for (var i = 0; i < 5; i++) {
                                action.constant.datalist[i] = jsonResult.returnList[i]
                            }
                            action.constant.datalist.fundtypestr=action.constant.fundtypestr;
                        //$.doTemplate('rel_1_area', action.constant.datalist);
                            $("#detailSeg").UISegment("active", "rel_1");
                        }
                        that.constant.activeGraph = id;
                        that.draw(id, jsonResult.returnList);
                        $.hsf.stopLoading();
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            }
        },
        startDate: function () {
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            if (m <= 9) {
                m = "0" + m;
            }
            if (d <= 9) {
                d = "0" + d;
            }
            return y + m + d;
        },

        draw: function (id, list) {
            var arr = new Array();
            var arr2 = new Array();

            var min = 9999999;
            var max = -9999999;
            if (null != list && list.length > 1) {
                for (var i = list.length - 1; i >= 0; i--) {
                    /*控制点的数量，加快画线速度*/
                    var obj = list[i];
                    var unit, unit2;
                    var str = obj.navdate;
                    str = str.substr(0, 4) + "/" + str.substr(5, 2) + "/" + str.substr(8, 2);
                    //str = str.replace(/-/g,"/");
                    var date = new Date(str);
                    if ("2" == this.constant.fundtype) {//货币显示万份单位收益
                        unit = [date, parseFloat(obj.hf_incomeratio)];
                        /*以数组形式存放*/
                        unit2 = [date, parseFloat(obj.incomeratio)];
                        /*以数组形式存放*/
                    } else {
                        unit = [date, parseFloat(obj.pernetvalue)];
                        unit2 = [date, parseFloat(obj.totalnetvalue)];
                    }
                    arr.push(unit);
                    arr2.push(unit2);
                    if (unit[1] < min) {
                        min = unit[1];
                    }
                    if (unit[1] > max) {
                        max = unit[1];
                    }
                }
                min -= (max - min) / 6;
                this.storeNetValue(id, arr, arr2, list, min, true);
                this.updateBrand(list[0],action.constant.tagId);
            } else {
                arr.push([new Date(), 0], [new Date(), 0]);
                this.storeNetValue(id, arr, arr2, list, 0, false);
            }
            if(action.constant.tagId>=5) // 累计净值
                this.drawGraph(arr2, min,action.constant.tagId);
            else
                this.drawGraph(arr, min,action.constant.tagId);
        },
        storeNetValue: function (id, list, list2, origin, min, valid) {
            this.constant.graph[id] = {arr: list, arr2: list2, min: min, origin: origin, valid: valid};
        },
        drawGraph: function (data, min,id) {
                    if(id<5){
                        this.constant.p = $.plot("#placeholder1", [{data: data, label: "&nbsp;"}], {
                            series: {
                                lines: {
                                    show: true,
                                    fill: true,
                                    fillColor: {colors: ["rgba(255,255,255,0.5)", "rgba(188,201,228,0.5)"]},
                                    lineWidth: 1
                                },
                                points: {
                                    show: false
                                }
                            },
                            colors: ["#707fb3"],
                            crosshair: {
                                mode: "x"
                            },
                            grid: {
                                hoverable: true,
                                clickable: false,
                                borderColor: "#c8c8c8",
                                borderWidth: 1
                            },
                            legend: {
                                show: false
                            },
                            xaxis: {
                                show: true,
                                mode: "time"
                            },
                            yaxis: {
                                min: min
                            },
                            legend: {
                                container: $("#legendcontainer"),
                                labelFormatter: function (lable, series) {
                                    return '<a> ' + lable + '</a>';
                                }
                            }

                        });
                    }else{
                        this.constant.p = $.plot("#placeholder2", [{data: data, label: "&nbsp;"}], {
                            series: {
                                lines: {
                                    show: true,
                                    fill: true,
                                    fillColor: {colors: ["rgba(255,255,255,0.5)", "rgba(188,201,228,0.5)"]},
                                    lineWidth: 1
                                },
                                points: {
                                    show: false
                                }
                            },
                            colors: ["#707fb3"],
                            crosshair: {
                                mode: "x"
                            },
                            grid: {
                                hoverable: true,
                                clickable: false,
                                borderColor: "#c8c8c8",
                                borderWidth: 1
                            },
                            legend: {
                                show: false
                            },
                            xaxis: {
                                show: true,
                                mode: "time"
                            },
                            yaxis: {
                                min: min
                            },
                            legend: {
                                container: $("#legendcontainer"),
                                labelFormatter: function (lable, series) {
                                    return '<a> ' + lable + '</a>';
                                }
                            }

                        });
                    }

        },
        updateLegend: function (th) {
            var that = th;
            var netvalueOfSegment = that.constant.graph[that.constant.activeGraph];
            if (netvalueOfSegment.valid == false) {
                that.constant.updateLegendTimeout = null;
                return;
            } else {
                var legends = $("#legendcontainer .legendLabel").css({"width": "100%"});
                legends.each(function () {
                    $(this).css('width', "100%");
                });
                that.constant.updateLegendTimeout = null;
                var pos = that.constant.latestPosition;
                var axes = that.constant.p.getAxes();
                if (pos.x < axes.xaxis.min || pos.x > axes.xaxis.max ||
                    pos.y < axes.yaxis.min || pos.y > axes.yaxis.max) {
                    return;
                }
                var j, dataset = that.constant.p.getData();
                var series = dataset[0];
                for (j = 0; j < series.data.length; ++j) {
                    if (series.data[j][0] > pos.x) {
                        break;
                    }
                }
                var x, y,
                    p1 = series.data[j - 1],
                    p2 = series.data[j],
                    index;
                if (p1 == null) {
                    y = p2[1];
                    x = p2[0];
                    index = j;
                } else if (p2 == null) {
                    y = p1[1];
                    x = p1[0];
                    index = j - 1;
                } else {
                    if (Math.abs(pos.x * 1000 - p1[0] * 1000) > Math.abs(p2[0] * 1000 - pos.x * 1000)) {
                        y = p2[1];
                        x = p2[0];
                        index = j;
                    } else {
                        y = p1[1];
                        x = p1[0];
                        index = j - 1;
                    }
                }
                index = netvalueOfSegment.origin.length - index - 1;//因为是倒序
                that.updateBrand(netvalueOfSegment.origin[index]);
            }
        },
        updateBrand: function (obj) {
            var setBrand = function (value1, value2, value3) {

                if(action.constant.fundtype=="2"){

                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2).toFixed(4));
                        $("#property15").html(parseFloat(value3).toFixed(4) + "%");
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2).toFixed(4));
                        $("#property25").html(parseFloat(value3).toFixed(4) + "%");
                    }
                }else{
                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2).toFixed(4));
                        $("#property15").html(parseFloat(value3).toFixed(4));
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2).toFixed(4));
                        $("#property25").html(parseFloat(value3).toFixed(4));
                    }
                }


            }
            if (this.constant.fundtype == "2") {
                setBrand(obj.navdate, obj.hf_incomeratio, obj.incomeratio);
            } else {
                setBrand(obj.navdate, obj.pernetvalue, obj.totalnetvalue);
            }
        }

    };
    return action;
});
