/**
 * Created by apple on 15/6/11.
 */

define([], function() {
	var action = {
		constant: {},
		init: function() {
			action.events();
		},
		events: function() {
			$(".submit-btn").bind("tap", function() {
				$(".origin-code input").blur();
				$(".new-code input").blur();
				$(".repeat-code input").blur();
				var originCode = $(".origin-code").UITextField("value").trim();
				var newCode = $(".new-code").UITextField("value").trim();
				var repeatCode = $(".repeat-code").UITextField("value").trim();
				var validForm = $.validForm();
				validForm.add("empty", originCode, "请输入当前密码");
				validForm.add("empty", newCode, "请输入新密码");
				validForm.add("pwdtest", newCode, "新密码为8-16位数字和字母");
				validForm.add("password",newCode,"新密码由8-16位数字和字母组成");
				//validForm.add("strlength", {value: newCode, min: 6, max: 15}, "新密码由6-15位字符组成");
				validForm.add("empty", repeatCode, "请输入确认密码");
				validForm.add("passwordEqual", {p1: newCode, p2: repeatCode}, "新密码和确认密码不一致");
				validForm.add("passwordNotEqual", {p1: originCode, p2: newCode}, "旧密码与新密码无变化");
				if (validForm.valid()) {
					var data = "newpwd=" + newCode + "&oldpwd=" + originCode;
					$.hsf.startLoading();
					$.hsf.ajax.app("account/account/modifyPwd", data, "tradepwdCallback", function(jsonResult) {
						if (jsonResult.successful) {
							$.hsf.stopLoading();
							$.UIAlert("修改成功", function() {
								$.hsf.hsBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						}
					});
				}
			});
		}
	};
	return action;
});