/**
 * Created by Quex on 2016/8/12 0012.
 */
define([], function(){
    action = {
        constant:{
            counter:0,
            repeatSeconds: 60
        },
        formGenerate:null,
        validForm:null,
        init : function(){
            action.validForm = $.validForm();
            action.formGenerate = $.formGenerate();
            action.events();
        },
        sandclock :  {
            run : function() {
                if (action.constant.counter == 0) {
                    $("#btnSmscode").attr("m-state","");
                    $("#btnSmscode").html("获取");
                } else {
                    $("#btnSmscode").html((action.constant.counter--)+"秒");
                    setTimeout(function () {
                        this.run();
                    }.bind(this), 1000);
                }
            },
            start : function() {
                action.constant.counter = action.constant.repeatSeconds;
                $("#btnSmscode").attr("m-state","disabled");
                this.run();
            },
            readyStart : function() {
                if (action.constant.counter == 0) {
                    return true;
                } else {
                    false;
                }
            }
        },
        events : function () {
            $("#btnSmscode").on("tap",function () {
                var mobile = $("#txtMobile").UITextField("value").trim();
                var identityno = $("#txtIdNo").UITextField("value").trim();
                var name = $("#txtName").UITextField("value").trim();
                //var smscode = $("#txtSmscode").UITextField("value").trim();
                action.validForm.add("empty",name,"请输入姓名")
                    .add("cerfiticate",identityno,"请输入正确的身份证号")
                    .add("mobile",mobile,"请输入正确的手机号");
                if(action.validForm.valid()){
                    action.formGenerate.add("mobile",mobile)
                        .add("way","0")
                        .add("sendintent","reset")
                        .add("custname",name)
                        .add("identitytype","0")
                        .add("identityno",identityno);
                    if (action.sandclock.readyStart()) {
                        $.hsf.startLoading("正在发送...");
                        $.hsf.ajax.app("account/mobile/sendCode", action.formGenerate.generate(), "sendCodeCallback", function(jsonResult) {
                            if (jsonResult.successful) {
                                $.hsf.stopLoading();
                                $.UIAlert("手机验证码已发送！请注意查收短信！");
                                action.sandclock.start();
                            }else
                            {
                                $.hsf.callFailProcess(jsonResult);
                            }
                        });
                    }
                }
            });
            $("#btnSubmit").on("tap",function () {
                var mobile = $("#txtMobile").UITextField("value").trim();
                var password = $("#txtPassword").UITextField("value").trim();
                var password2 = $("#txtPassword2").UITextField("value").trim();
                var smscode = $("#txtSmscode").UITextField("value").trim();
                var identityno = $("#txtIdNo").UITextField("value").trim();
                var name = $("#txtName").UITextField("value").trim();

                action.validForm
                    .add("empty",name,"请输入姓名")
                    .add("cerfiticate",identityno,"请输入正确的身份证号")
                    .add("mobile",mobile,"请输入正确的手机号")
                    .add("empty",smscode,"请输入验证码")
                    .add("empty",password,"请输入密码")
                    .add("password",password,"密码为8-16位数字或字母")
                    //.add("strlength", {value : password, min : 6, max: 8},"密码为6-8位数字或字母")
                    .add("pwdtest",password,"密码为8-16位数字和字母")
                    .add("empty",password2,"请输入确认密码")
                    .add("passwordEqual", {p1: password, p2:password2}, "密码不一致");
                if(action.validForm.valid()){
                    action.formGenerate
                        .add("mobile",mobile)
                        .add("way","0")
                        //.add("sendintent","reset")
                        .add("authcode",smscode)
                        .add("idtype","0")
                        .add("idno",identityno);
                    $.hsf.startLoading("正在提交...");
                    //首先验证 手机验证码
                    $.hsf.ajax.app("account/resetpwd/identify",action.formGenerate.generate(), "authCallback", function(jsonResult) {
                        if (jsonResult.successful) {
                            //重置密码
                            action.formGenerate
                               // .add("way","2")
                                .add("mobile",mobile)
                                .add("custname",name)
                                .add("newpwd",password)
                                .add("idtype","0")
                                .add("idno",identityno);
                            action.resetPassword(action.formGenerate.generate());
                        }else
                        {
                            $.hsf.callFailProcess(jsonResult);
                        }
                    });

                }
            });
        },
        resetPassword:function (data) {
            $.hsf.ajax.app("account/account/resetPwd",  data, "resetPwdCallback", function(jsonResult) {
                if (jsonResult.successful) {
                    $.hsf.stopLoading();
                    $.UIAlert("密码重置成功",function () {
                        $.hsf.hsBack();
                    });
                }else
                {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        }

    };
    return action;
});