define([], function() {
	window.action = {
		constant : {
			apply : {
				pageNo : 1,
				loadedNum : 0,
				oneTimeRecord : 10
			},
			tradeIcon : {
				"020" : "trade-list-icon trade-list-icon-blue",
				"022" : "trade-list-icon trade-list-icon-blue",
				"098" : "trade-list-icon trade-list-icon-yellow",
				"024" : "trade-list-icon trade-list-icon-yellow",
				"029" : "trade-list-icon trade-list-icon-blue",
				"036" : "trade-list-icon trade-list-icon-purple",
				"987" : "trade-list-icon trade-list-icon-pink",
				"090" : "trade-list-icon trade-list-icon-pink",
				"988" : "trade-list-icon trade-list-icon-pink",
				"093" : "trade-list-icon trade-list-icon-pink",
				"060" : "trade-list-icon trade-list-icon-pink",
				"039" : "trade-list-icon trade-list-icon-pink",
				"053" : "trade-list-icon trade-list-icon-yellow"
			}
		},
		init : function() {
			$.platform.initPage && $.platform.initPage();
			action.initRequestForm();
			action.withdrawPackForm();
			action.events();
		},
		refresh : function() {
			action.constant.apply.pageNo = 1;
			action.constant.apply.loadedNum = 0;
			action.constant.apply.oneTimeRecord = 20;
			$("#applyList").find("dd").remove();
			$(".withdrawContent").remove();
			action.initRequestForm();
			action.withdrawPackForm();
			$("#withdraw").hide();
			$("#first").show();
		},
		events : function() {
			$("#moreBtn").bind("tap", function() {
				action.goonDC();
				return false;
			});
			$("#withdrawBackBtn").bind("tap", function() {
				$("#withdraw").hide();
				$("#first").show();
				return false;
			});
			$("#withdrawBtn").bind("tap", function() {
				var $pw = $("#tradepassword").UITextField("value").trim();
				var validForm = $.validForm();
				validForm.add("empty",$pw,"请输入密码");
				validForm.add("password", $pw, "请输入正确的密码");
				//validForm.add("strlength", {value : $pw, min: 6, max: 15}, "请输入正确的密码");
				//validForm.add("word", $pw, "请输入正确输入密码");
    			if (validForm.valid()) {
    				var withdraw = action.constant.withdrawList[action.constant.withdrawIndex];
					var data = "tradeacco="+ withdraw.tradeacco +"&applyserial="+ withdraw.applyserial + "&tradepassword=" + $pw;
					var g = $.formGenerate();
					g.add("tradeacco", withdraw.tradeacco);
					g.add("applyserial", withdraw.applyserial);
					g.add("tradepassword", $pw);
    				$.hsf.startLoading();
	            	$.hsf.ajax.app("trade/withdraw/withdraw", g.generate(), "withdrawCallback", function(jsonResult) {
	            		$.hsf.stopLoading();
	            		if(jsonResult.successful) {
	            			$.UIAlert("撤单成功", function() {
	            				action.refresh();
	            			});
	            		} else {
	            			$.hsf.callFailProcess(jsonResult);
	            		}
	            	});
    			}
				return false;            	
			});
			$("#withdrawList").on("tap",".chedan", function(jsonResult) {
				var _self = $(this);
				var index = action.constant.withdrawIndex = _self.attr("index");
				var withdraw = action.constant.withdrawList[index];
				$("#tradepassword").UITextField("clear");
				$.doTemplate("withdrawForm-template", withdraw, "refresh");
				$("#first").hide();
				$("#withdraw").show();
				return false;
			});
		},
		withdrawPackForm : function() {
			$.hsf.ajax.app("trade/withdraw/withdrawList", "", "withdrawList", function(jsonResult) {
				if (jsonResult.successful) {
					var list =  jsonResult.withdrawList;
					if (list.length > 0) {
						for (var index in list) {
							var withdraw = list[index];
							if (withdraw.businflag == "036") {
								withdraw.fundname = withdraw.fundname +"->"+ withdraw.targetfundname;
								withdraw.businflagstr = "转换";
							}
							if (withdraw.applysum == "--") {
								withdraw.applyUnit = "";
							} else {
								if (withdraw.businflag == "020" || withdraw.businflag == "021" || withdraw.businflag == "022" || withdraw.businflag == "023") {
									withdraw.applyUnit = "元";
									withdraw.applyType = "金额";
								} else {
									withdraw.applyUnit = "份";
									withdraw.applyType = "份额";
								}
							}
							withdraw.oriapplydate = $.hsf.hsTools.yyyy_mm_dd(withdraw.oriapplydate);
							withdraw.confirmdate = $.hsf.hsTools.yyyy_mm_dd(withdraw.confirmdate)
							withdraw.bankCardClass = "bank-" + withdraw.alias;
							withdraw.bankacco = $.hsf.hsTools.maskCardHead(withdraw.bankacco);
							withdraw.tradeIconClass = action.constant.tradeIcon[withdraw.callingcode] || "trade-list-icon trade-list-icon-purple";
							withdraw.tradeIcon = withdraw.businflagstr.substr(0,1);
						}
						$.doTemplate("template2", list, "repeat");
					}
					action.constant.withdrawList = list;
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		initRequestForm : function() {
			$.hsf.startLoading();
			$.when(action.todayPackForm(), action.applyPackForm()).done(function(r1, r2){
				action.processToday(r1[0]);
				action.processDC(r2[0]);
				$.hsf.stopLoading();
			});
		},
		todayPackForm : function() {
			return $.hsf.ajax.app("query/tradeapply/todayApply", "", "todayPackFormCallback", function(jsonResult) {});
		},
		applyPackForm : function(func) {
			return $.hsf.ajax.app("query/tradeapply/applyList", "datasource=DC&applyrecordno="+action.constant.apply.oneTimeRecord+"&pageno="+action.constant.apply.pageNo, "checkLoginCode", func || function(jsonResult) {});
		},
		goonDC : function() {
			action.applyPackForm(action.processDC);
		},
		processDC: function(jsonResult) {
			if (jsonResult.successful) {
				var list = jsonResult.returnList;
				var $applyList = $("#applyList");
				var $applyListDl = $applyList.find("dl");
				if (list.length > 0) {
					for (var index in list) {
						var apply = list[index];
						if (apply.callingcode == "036") {
							apply.fundname = apply.fundname +"->"+ apply.targetfundname;
							apply.businflagstr = "转换";
						}
						if (apply.apply == "--") {
							apply.applyUnit = "";
						} else {
							if (apply.callingcode == '01' || apply.callingcode == '02' || apply.callingcode == '50' || apply.callingcode == '16' || apply.callingcode == '39') {
								apply.applyUnit = "元";
							} else {
								apply.applyUnit = "份";
							}	
						}
						apply.iconBusinflagstr = apply.businflagstr.substr(0,1);
						apply.tradeIconClass = action.constant.tradeIcon[apply.callingcode] || "trade-list-icon trade-list-icon-purple";
					}
					$.doTemplate("tempate1", list, "repeat");
					$applyList.UITableView("refresh");
					action.constant.apply.pageNo++;
					action.constant.apply.loadedNum += list.length;
					if (action.constant.apply.loadedNum >= jsonResult.totalRecord) {
						$("#moreBtn").hide();
					} else {
						$("#moreBtn").show();	
					}
					$.hsf.stopLoading();
				} else {
					$("#moreBtn").hide();
					$.hsf.stopLoading();
				}
			} else {
				$.hsf.callFailProcess(jsonResult);
			}
		},
		processToday : function(jsonResult) {
			if (jsonResult.successful) {
				var list = jsonResult.returnList;
				var $applyList = $("#applyList");
				var $applyListDl = $applyList.find("dl");
				if (list.length > 0) {
					for (var index in list) {
						var apply = list[index];
						if (apply.callingcode == "036") {
							apply.fundname = apply.fundname +"->"+ apply.targetfundname;
							apply.businflagstr = "转换";
						}
						if (apply.apply == "--") {
							apply.applyUnit = "";
						} else {
							if (apply.callingcode == "020" || apply.callingcode == "021" || apply.callingcode == "022" || apply.callingcode == "023") {
								apply.applyUnit = "元";
							} else {
								apply.applyUnit = "份";
							}	
						}
						apply.iconBusinflagstr = apply.businflagstr.substr(0,1);
						apply.tradeIconClass = action.constant.tradeIcon[apply.callingcode] || "trade-list-icon trade-list-icon-purple";
					}
					$.doTemplate("tempate1", list, "repeat");
					$applyList.UITableView("refresh");
				}
			} else {
				$.hsf.callFailProcess(jsonResult);
			}
		}
		
	};
	return action;
});