﻿define([], function(require) {
	var action = {
		constant: {

		},
		init: function() {
			this.packForm();
			this.event();

		},
		packForm: function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("trade/trans/shareList", "", "transShareList", function(jsonResult) {
				if (jsonResult.successful) {
					action.loadTransList(jsonResult);
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},

		event: function() {

		},
		loadTransList: function(jsonResult) {
			var $transList = $("#transList");
			var $dl = $("#transList").find("dl");
			action.constant.result = jsonResult;
			if(jsonResult.shareList.length <= 0){
				$.UIAlert("没有可转换基金",function () {
					$.hsf.hsBack();
				});
				return false;
			}
			for (var index in jsonResult.shareList) {
				var $ddHtml = $(action.ddHtml);

				if (jsonResult.shareList[index].bankname != null) {
					var bankname = jsonResult.shareList[index].bankname;
					$ddHtml.find(".bankname").html(bankname);
				} else {
					$ddHtml.find(".bankname").html("无银行卡");
				}

				$ddHtml.find(".fundname").html(jsonResult.shareList[index].fundname);
				$ddHtml.find(".assetdetail").html(jsonResult.shareList[index].marketvalue);
				$ddHtml.find(".usableremainshare").html(jsonResult.shareList[index].usableremainshare);
				$ddHtml.attr("m-href", "trade-trans.html?fundcode=" + jsonResult.shareList[index].fundcode);

				$dl.append($ddHtml);
			}
			$transList.UITableView("refresh");

		},

		ddHtml: "<dd m-href=''><div m-role='cell' m-layout='fit' m-valign='middle' m-mode='x-equal' m-margin='1 0 1 0' class='padding-10'><div m-role='cell' m-mode='y' class='list-border-r padding-r-10'><div m-role='cell' m-margin='0 0 1 0' class='fundname'></div><div m-role='cell'><span m-margin='0 1 0 0' class='m-font-16 m-color-red assetdetail'></span><span class='m-font-12 m-font-light'>资产</span></div></div><div m-role='cell' class='padding-l-10' m-margin='0 0 0 1' m-valign='middle'><div m-role='cell' m-layout='fit' m-mode='y'><div m-role='cell' m-margin='0 0 1 0' class='bankname'></div><div m-role='cell'><span m-margin='0 1 0 0' class='m-font-16 m-color-red  usableremainshare'></span><span class='m-font-12 m-font-light'>可用份额</span></div></div><div m-role='cell'><div class='list-arrow'></div></div></div></div></dd>"
	};
	return action;
});
